#ifdef GL_ES
#define LOWP lowp
precision mediump float;
#else
#define LOWP
#endif

varying LOWP vec4 v_color;
varying vec2 v_texCoords;
uniform sampler2D u_texture;
uniform sampler2D u_texture1;
uniform sampler2D u_mask;

void main(void) {
     LOWP vec4 texColor0 = texture2D(u_texture, v_texCoords);
     LOWP vec4 texColor1 = texture2D(u_texture1, v_texCoords);
     LOWP vec4 maskColor = texture2D(u_mask, v_texCoords);

     if(maskColor.a > 0.0){
           gl_FragColor = v_color * vec4(texColor1.r, texColor1.g, texColor1.b, texColor1.a * maskColor.a);
     } else {
           gl_FragColor = vec4(0.0,0.0,0.0,0.0) + (texColor0 + texColor1 + maskColor) - (texColor0 + texColor1 + maskColor);
     }
}

